// 项目版本号
export const VersionModel = '1.0.1';
export const DeviceCommandModel = {
  locate: '0001', // 立即定位
  locateType: '0002', // 定位模式
  prohibition: '0003', // 上课禁用时段
  sleep: '0004', // 休眠时段
  remoteSetting: '0005', // 远程设置
  familyNum: '0006', // 亲情号码
  remoteListening: '0007', // 远程监听
  clock: '0008', // 闹钟设置
  safeArea: '0009', // 电子围栏
  sim: '0010', // 设置sim卡
  activateDevice: '0011', // 激活设备
  deviceName: '0012', // 设备昵称
  deviceCode: '0013', // 设备安全码
  sendMsg: '0014' // 下发信息
};
export const FamilyNumberModel = {
  appType: {
    parentWeb: 0,
    manufactor: 1,
    commonWeb: 2
  },
  editable: {
    parentWeb: true,
    manufactor: false,
    commonWeb: true
  },
  level: 1,
  callOut: 1,
  outtime: '0000~2400|1+2+3+4+5+6+7',
  inComing: 1,
  incomingTime: '0000~2400|1+2+3+4+5+6+7'
};
export const ProhibitModel = {
  recordType: {
    parentWeb: 0,
    manufactor: 1,
    commonWeb: 2
  },
  editable: {
    parentWeb: true,
    manufactor: false,
    commonWeb: true
  }
};

export const SafeAreaModel = {
  appType: {
    parentWeb: 0,
    manufactor: 1
  },
  fenceType: {
    circle: 1, // 圆形
    polygon: 2 // 多边形
  }
};
export const WechatHomeModel = {
  production: 'https://mp.weixin.qq.com/mp/profile_ext?action=home&__biz=MzU2NzkxNjI2MA==&scene=124#wechat_redirect', // 随手精灵公众号
  test: 'https://mp.weixin.qq.com/mp/profile_ext?action=home&__biz=MzI5ODIxNTU0MQ==&scene=124#wechat_redirect', // 校乐园
  development: 'https://mp.weixin.qq.com/mp/profile_ext?action=home&__biz=MzI5ODIxNTU0MQ==&scene=124#wechat_redirect' // 校乐园
};
export const LocationType = {
  GPS: 1,
  LBS: 2,
  WIFI: 3
};
export const msgType = {
  record: 1,
  text: 2
};
export const MsgStatus = {
  alreadyRead: 1,
  notRead: 2
};
export const BaiduStatisticsModel = {
  production: 'https://hm.baidu.com/hm.js?ef364e6446439911bc4ced79bece7715', // 随手精灵百度流量统计 正式环境
  test: 'https://hm.baidu.com/hm.js?d1eec257a45f71d12db8b1eacb43ba18', // 随手精灵百度流量统计 测试环境
  development: 'https://hm.baidu.com/hm.js?d1eec257a45f71d12db8b1eacb43ba18' // 随手精灵百度流量统计 测试环境
};
// 微信ocr Service ID
export const WxOcrServiceId = {
  production: 'wx79ac3de8be320b71',
  test: 'wx79ac3de8be320b71',
  development: 'wx79ac3de8be320b71'
};
export const ErrorAMapMsgModel = {
  OUT_OF_SERVICE: 'OUT_OF_SERVICE', // 使用路径规划服务接口时可能出现该问题，规划点（包括起点、终点、途经点）不在中国陆地范围内
  NO_ROADS_NEARBY: 'NO_ROADS_NEARBY', // 使用路径规划服务接口时可能出现该问题，划点（起点、终点、途经点）附近搜不到路
  ROUTE_FAIL: 'ROUTE_FAIL', // 使用路径规划服务接口时可能出现该问题，路线计算失败，通常是由于道路连通关系导致
  OVER_DIRECTION_RANGE: 'OVER_DIRECTION_RANGE', // 使用路径规划服务接口时可能出现该问题，路线计算失败，通常是由于道路起点和终点距离过长导致
  NO_DATA: 'NO_DATA' // 此错误在服务接口status='complete'时的result.info值出现，故判断时需要注意（与以上的错误不一样，status!=='complete'）
};
