/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/',
    component: () => import('@/views/layouts/index'),
    redirect: '/Tabbar',
    meta: {
      title: '成长',
      keepAlive: false
    },
    children: [
      {
        path: '/Tabbar',
        name: 'Index',
        redirect: '/index',
        component: () => import('@/views/Tabbar.vue'),
        children: [
          {
            path: '/index',
            name: 'Development',
            component: () => import('@/views/development/index'),
            meta: { title: '成长', keepAlive: false }
          },
          {
            path: '/today',
            name: 'Today',
            component: () => import('@/views/today/index'),
            meta: { title: '今日', keepAlive: false }
          },
          {
            path: '/insight',
            name: 'Insight',
            component: () => import('@/views/insight/index'),
            meta: { title: '洞悉', keepAlive: false }
          },
          {
            path: '/optimize',
            name: 'Optimize',
            component: () => import('@/views/optimize/index'),
            meta: { title: '优化', keepAlive: false }
          },
          {
            path: '/myself',
            name: 'Myself',
            component: () => import('@/views/myself/index'),
            meta: { title: '我的', keepAlive: false }
          }
        ]
      },
      {
        path: '/planDescription',
        name: 'planDescription',
        component: () => import('@/views/development/planDescription'),
        meta: { title: '计划说明', keepAlive: false }
      },
      {
        path: '/taskDetail',
        name: 'taskDetail',
        component: () => import('@/views/development/taskDetail'),
        meta: { title: '任务详情', keepAlive: false }
      },
      {
        path: '/familyNumber',
        name: 'familyNumber',
        component: () => import('@/views/myself/familyNumber'),
        meta: { title: '亲情号码', keepAlive: false }
      },
      {
        path: '/changeFamilyNumber',
        name: 'changeFamilyNumber',
        component: () => import('@/views/myself/changeFamilyNumber'),
        meta: { title: '修改亲情号码', keepAlive: false }
      },
      {
        path: '/addFamilyNumber',
        name: 'addFamilyNumber',
        component: () => import('@/views/myself/addFamilyNumber'),
        meta: { title: '增加亲情号码', keepAlive: false }
      },
      {
        path: '/sendMessage',
        name: 'sendMessage',
        component: () => import('@/views/myself/sendMessage'),
        meta: { title: '留言', keepAlive: false }
      },
      {
        path: '/callList',
        name: 'callList',
        component: () => import('@/views/myself/callList'),
        meta: { title: '通话记录', keepAlive: false }
      },
      {
        path: '/prohibit',
        name: 'prohibit',
        component: () => import('@/views/myself/prohibit'),
        meta: { title: '上课禁止时段', keepAlive: false }
      },
      {
        path: '/setupProhibitPeriod',
        name: 'setupProhibitPeriod',
        component: () => import('@/views/myself/setupProhibitPeriod'),
        meta: { title: '设置上课禁止时段', keepAlive: false }
      },
      {
        path: '/clock',
        name: 'clock',
        component: () => import('@/views/myself/clock'),
        meta: { title: '闹钟', keepAlive: false }
      },
      {
        path: '/setupClockPeriod',
        name: 'setupClockPeriod',
        component: () => import('@/views/myself/setupClockPeriod'),
        meta: { title: '设置闹钟', keepAlive: false }
      },
      {
        path: '/changePayPassword',
        name: 'changePayPassword',
        component: () => import('@/views/myself/changePayPassword'),
        meta: { title: '修改支付密码', keepAlive: false }
      },
      {
        path: '/messageList',
        name: 'messageList',
        component: () => import('@/views/myself/messageList'),
        meta: { title: '短信代收', keepAlive: false }
      },
      {
        path: '/management',
        name: 'management',
        component: () => import('@/views/myself/management'),
        meta: { title: '亲友关注', keepAlive: false }
      },
      {
        path: '/replace',
        name: 'replace',
        component: () => import('@/views/myself/replace'),
        meta: { title: '管理员转让', keepAlive: false }
      },
      {
        path: '/sleep',
        name: 'sleep',
        component: () => import('@/views/myself/sleep'),
        meta: { title: '休眠设置', keepAlive: false }
      },
      {
        path: '/watchSetting',
        name: 'watchSetting',
        component: () => import('@/views/myself/deviceSetting/settingIndex'),
        meta: { title: '参数设置', keepAlive: false }
      },
      {
        path: '/sceneMode',
        name: 'sceneMode',
        component: () => import('@/views/myself/deviceSetting/sceneMode'),
        meta: { title: '场景模式', keepAlive: false }
      },
      {
        path: '/locationMonitor',
        name: 'locationMonitor',
        component: () => import('@/views/myself/deviceSetting/locationMonitor'),
        meta: { title: '定位监测', keepAlive: false }
      },
      {
        path: '/dangerAreaMonitor',
        name: 'dangerAreaMonitor',
        component: () => import('@/views/myself/deviceSetting/dangerAreaMonitor'),
        meta: { title: '危险区域监测', keepAlive: false }
      },
      {
        path: '/drownWhiteList',
        name: 'drownWhiteList',
        component: () => import('@/views/myself/deviceSetting/drownWhiteList'),
        meta: { title: '免告警水域', keepAlive: false }
      },
      {
        path: '/healthMonitor',
        name: 'healthMonitor',
        component: () => import('@/views/myself/deviceSetting/healthMonitor'),
        meta: { title: '健康监测', keepAlive: false }
      },
      {
        path: '/blood',
        name: 'blood',
        component: () => import('@/views/myself/deviceSetting/blood'),
        meta: { title: '血压监测', keepAlive: false }
      },
      {
        path: '/psychologicalSetting',
        name: 'psychologicalSetting',
        component: () => import('@/views/myself/deviceSetting/psychologicalSetting'),
        meta: { title: '心理监测', keepAlive: false }
      },
      {
        path: '/personInfos',
        name: 'personInfos',
        component: () => import('@/views/myself/deviceSetting/personInfos'),
        meta: { title: '个人资料设置', keepAlive: false }
      },
      {
        path: '/wearMonitor',
        name: 'wearMonitor',
        component: () => import('@/views/myself/deviceSetting/wearMonitor'),
        meta: { title: '佩戴监测', keepAlive: false }
      },
      {
        path: '/setupSleepPeriod',
        name: 'setupSleepPeriod',
        component: () => import('@/views/myself/setupSleepPeriod'),
        meta: { title: '休眠设置', keepAlive: false }
      },
      {
        path: '/help',
        name: 'help',
        component: () => import('@/views/myself/help'),
        meta: { title: '常见问题', keepAlive: false }
      },
      {
        path: '/location',
        name: 'location',
        component: () => import('@/views/myself/location'),
        meta: { title: '定位', keepAlive: false }
      },
      {
        path: '/trajectory',
        name: 'trajectory',
        component: () => import('@/views/myself/trajectory'),
        meta: { title: '轨迹', keepAlive: false }
      },
      {
        path: '/news',
        name: 'news',
        component: () => import('@/views/myself/news/news'),
        meta: { title: '消息', keepAlive: false }
      },
      {
        path: '/login',
        name: 'login',
        component: () => import('@/views/login/login'),
        meta: { title: '登录', keepAlive: false }
      },
      {
        path: '/bind',
        name: 'bind',
        component: () => import('@/views/login/bindDevices'),
        meta: { title: '绑定设备', keepAlive: false }
      }
    ]
  }
];
